Bug 981552 (CVE-2013-2232) - CVE-2013-2232 Kernel: ipv6: using ipv4 vs ipv6 structure during routing lookup in sendmsg
Summary: CVE-2013-2232 Kernel: ipv6: using ipv4 vs ipv6 structure during routing looku...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2232
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 981556 981557 981558 981559 981561 981562 981564
Blocks: 980416
TreeView+ depends on / blocked
 
Reported: 2013-07-05 06:55 UTC by Prasad J Pandit
Modified: 2019-09-29 13:05 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 05:22:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1166 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-08-20 22:56:21 UTC
Red Hat Product Errata RHSA-2013:1173 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-08-27 23:23:53 UTC
Red Hat Product Errata RHSA-2013:1195 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-09-04 00:27:43 UTC
Red Hat Product Errata RHSA-2013:1264 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-09-16 21:01:17 UTC

Description Prasad J Pandit 2013-07-05 06:55:30 UTC
Linux kernel built with the IPv6 networking support is vulnerable to an
invalid memory access flaw. It occurs while sending messages using sendmsg(2)
to an IPv4 address over an IPv6 socket. It could result in system crash or
potentially used to gain root privileges.

A user/program could use this flaw to crash the system resulting in DoS.
Nevertheless, potential privilege escalation can not be ruled out.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/a963a37d384d71ad43b3e9e79d68d42fbe0901f3

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/07/02/3

Comment 1 Prasad J Pandit 2013-07-05 06:59:18 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2 may address this issue.

Comment 4 Prasad J Pandit 2013-07-05 07:06:03 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 981564]

Comment 5 Fedora Update System 2013-07-12 03:11:42 UTC
kernel-3.9.9-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-07-14 03:30:40 UTC
kernel-3.9.9-302.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-07-18 06:12:39 UTC
kernel-3.9.10-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2013-08-20 19:02:20 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1166 https://rhn.redhat.com/errata/RHSA-2013-1166.html

Comment 9 errata-xmlrpc 2013-08-27 19:33:20 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1173 https://rhn.redhat.com/errata/RHSA-2013-1173.html

Comment 10 errata-xmlrpc 2013-09-03 20:31:26 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1195 https://rhn.redhat.com/errata/RHSA-2013-1195.html

Comment 11 errata-xmlrpc 2013-09-16 17:11:47 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html


Note You need to log in before you can comment on or make changes to this bug.